SDL_HINT_HIDAPI_ENUMERATE_ONLY_CONTROLLERS(3)

NAME
SDL_HINT_HIDAPI_ENUMERATE_ONLY_CONTROLLERS - A variable to control whether SDL_hid_enumerate () enumerates all HID devices or only controllers.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_HIDAPI_ENUMERATE_ONLY_CONTROLLERS SDL_HIDAPI_ENUMERATE_ONLY_CONTROLLERS"

DESCRIPTION
The variable can be set to the following values: • "0": SDL_hid_enumerate () will enumerate all HID
  devices. • "1": SDL_hid_enumerate () will only enumerate
  controllers. (default) By default SDL will only enumerate controllers, to reduce risk of hanging or crashing on devices with bad drivers and avoiding macOS keyboard capture permission prompts. This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.0.0.